Bug 1398007 - postfix: no log entries for sent mails
Summary: postfix: no log entries for sent mails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-23 20:12 UTC by Frank Ansari
Modified: 2017-11-01 16:39 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-225.1.fc25 selinux-policy-3.13.1-225.20.fc25 selinux-policy-3.13.1-225.22.fc25 selinux-policy-3.13.1-225.23.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 16:39:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Ansari 2016-11-23 20:12:46 UTC
Description of problem:
I found that suddenly my mailserver stops writing logentries for sent mails.

Version-Release number of selected component (if applicable):
postfix 3.1.3
selinux-policy 3.13.1

How reproducible:
Run "journalctl -f -u postfix" and send a mail to this server.

Steps to Reproduce:
1.
2.
3.

Actual results:
No entry in logs.

Expected results:
An entry regarding the mail sent with status whether it worked or not

Additional info:
After applying this fix logs are written for sent mails:

module my-smtp 1.0;

require {
	type postfix_smtpd_t;
	type postfix_smtp_t;
	type tmpfs_t;
	class lnk_file read;
}

#============= postfix_smtp_t ==============
allow postfix_smtp_t tmpfs_t:lnk_file read;

#============= postfix_smtpd_t ==============
allow postfix_smtpd_t tmpfs_t:lnk_file read;

Comment 1 Lukas Vrabec 2016-11-25 13:03:05 UTC
Do you have raw AVC denials? 

Thanks.

Comment 2 Frank Ansari 2016-11-26 11:01:54 UTC
Yes. Like this:

type=AVC msg=audit(1480153074.135:10103): avc:  denied  { read } for  pid=17939 comm="pickup" name="log" dev="tmpfs" ino=15604 scontext=system_u:system_r:postfix_pickup_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=lnk_file permissive=0

This stopped after I applied the rules given above. Also postfix is writing logs for sent mails now.

Comment 3 Fedora Update System 2016-11-29 17:04:26 UTC
selinux-policy-3.13.1-225.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d027c3768

Comment 4 Fedora Update System 2016-12-03 04:31:47 UTC
selinux-policy-3.13.1-225.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d027c3768

Comment 5 Fedora Update System 2016-12-05 17:02:56 UTC
selinux-policy-3.13.1-225.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3864b8972

Comment 6 Fedora Update System 2016-12-07 02:25:59 UTC
selinux-policy-3.13.1-225.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3864b8972

Comment 7 Fedora Update System 2016-12-08 18:23:06 UTC
selinux-policy-3.13.1-225.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Frank Ansari 2016-12-17 16:38:39 UTC
The problem appeared again on my Fedora 25 workstation. postfix+selinux became unusable.See 1403186.

Comment 9 Fedora Update System 2017-08-14 15:22:03 UTC
selinux-policy-3.13.1-225.20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 10 Fedora Update System 2017-08-15 03:51:08 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 11 Fedora Update System 2017-08-27 06:22:05 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-01 09:34:49 UTC
selinux-policy-3.13.1-225.22.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 13 Fedora Update System 2017-09-03 06:24:56 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 14 Fedora Update System 2017-09-07 23:20:14 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-10-10 12:00:36 UTC
selinux-policy-3.13.1-225.23.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 16 Fedora Update System 2017-10-11 04:22:11 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 17 Fedora Update System 2017-11-01 16:39:20 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.